$('#txtClientePagarMe').autocompleta(1, `JSON={"tabela":"ENTIDADE", "camposSelect":[ "CODCLI CHAVE", "NOME DESCRICAO"], "where": null}`);
$('#btnClientePagarMe').pesquisa_serverside(['#txtClientePagarMe'], ['CODCLI'], ['NOME'], '{"tabela":"ENTIDADE", "camposSelect":[ "CODCLI", "NOME"], "where": null}', 'Pesquisa de Entidade');
$('#btnLimpaClientePagarMe').on('click', function () {
  $('#txtClientePagarMe').val('');
});

$('#txtBancoPagarMe').autocompleta(1, `JSON={"tabela":"CADBAN", "camposSelect":[ "BANCO CHAVE", "NOME_BANCO DESCRICAO"], "where": null}`);
$('#btnBancoPagarMe').pesquisa_serverside(['#txtBancoPagarMe'], ['BANCO'], ['NOME_BANCO'], '{"tabela":"CADBAN", "camposSelect":[ "BANCO", "NOME_BANCO"], "where": null}', 'Pesquisa de Banco');
$('#btnLimpaBancoPagarMe').on('click', function () {
  $('#txtBancoPagarMe').val('');
});

$('#txtContaPagarMe').autocompleta(1, `JSON={"tabela":"CADCONTA", "camposSelect":[ "AGENCIA CHAVE", "CONTA DESCRICAO"], "where": null}`);
$('#btnContaPagarMe').pesquisa_serverside(['#txtContaPagarMe'], ['CONTA'], ['AGENCIA'], '{"tabela":"CADCONTA", "camposSelect":[ "AGENCIA", "CONTA", "BANCO"], "where": null}', 'Pesquisa de Conta');
$('#btnLimpaContaPagarMe').on('click', function () {
  $('#txtContaPagarMe').val('');
});

$('#txtClasseBaixaPagarMe').autocompleta(1, `JSON={"tabela":"CLASSE_GER", "camposSelect":[ "CODIGO CHAVE", "DESCRICAO DESCRICAO"], "where": null}`);
$('#btnClasseBaixaPagarMe').pesquisa('#txtClasseBaixaPagarMe', 'CODIGO', 'DESCRICAO', `/sisplan/funcoes/v1/pesquisa?JSON={ "tabela":"CLASSE_GER", "camposSelect":[ "CODIGO", "DESCRICAO"]}`, 'Pesquisa Classe Gerencial', 'CLASSE_GER');
$('#btnLimpaClasseBaixaPagarMe').on('click', function () {
  $('#txtClasseBaixaPagarMe').val('');
});

$('#txtClasseDespesaPagarMe').autocompleta(1, `JSON={"tabela":"CLASSE_GER", "camposSelect":[ "CODIGO CHAVE", "DESCRICAO DESCRICAO"], "where": null}`);
$('#btnClasseDespesaPagarMe').pesquisa('#txtClasseDespesaPagarMe', 'CODIGO', 'DESCRICAO', `/sisplan/funcoes/v1/pesquisa?JSON={ "tabela":"CLASSE_GER", "camposSelect":[ "CODIGO", "DESCRICAO"]}`, 'Pesquisa Classe Gerencial', 'CLASSE_GER');
$('#btnLimpaClasseDespesaPagarMe').on('click', function () {
  $('#txtClasseDespesaPagarMe').val('');
});

$('#txtHistóricoPagarMe').autocompleta(1, `JSON={"tabela":"HISTCP", "camposSelect":[ "HISTORICO CHAVE", "DESCRICAO DESCRICAO"], "where": null}`);
$('#btnHistóricoPagarMe').pesquisa_serverside(['#txtHistóricoPagarMe'], ['HISTORICO'], ['DESCRICAO'], '{"tabela":"HISTCP", "camposSelect":[ "HISTORICO", "DESCRICAO"], "where": null}', 'Pesquisa de Histórico');
$('#btnLimpaHistóricoPagarMe').on('click', function () {
  $('#txtHistóricoPagarMe').val('');
});

$('#txtValorDe').maskMoney({
  decimal: '.',
  thousands: '',
  precision: 2
});

$('#txtValorAte').maskMoney({
  decimal: '.',
  thousands: '',
  precision: 2
});